> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Scribe V2 语音识别

> - Scribe V2 录音文件识别模型
 - 支持语言指定、说话人分离、音频事件标注与 keyterms 偏置词增强
- 异步处理模式，使用返回的任务ID [进行查询](/pages/zh/api-manual/task-management/get-task-detail)
- 识别结果会在任务详情的 `results` 字段中返回




## OpenAPI

````yaml openapi/zh/scribe-v2.json POST /v1/audios/generations
openapi: 3.1.0
info:
  title: Scribe V2 语音识别
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/audios/generations:
    post:
      tags:
        - Audio > 语音识别
      summary: Scribe V2 语音识别
      description: >
        - Scribe V2 录音文件识别模型
         - 支持语言指定、说话人分离、音频事件标注与 keyterms 偏置词增强
        - 异步处理模式，使用返回的任务ID
        [进行查询](/pages/zh/api-manual/task-management/get-task-detail)

        - 识别结果会在任务详情的 `results` 字段中返回
      operationId: scribe-v2
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ScribeV2Request'
            examples:
              basic_transcription_with_automatic_language_detection:
                summary: Basic transcription with automatic language detection
                value:
                  model: scribe-v2
                  audio_url: https://samplelib.com/lib/preview/mp3/sample-3s.mp3
              speaker_diarization_with_event_tagging:
                summary: Speaker diarization with event tagging
                value:
                  model: scribe-v2
                  audio_url: https://samplelib.com/lib/preview/mp3/sample-3s.mp3
                  diarize: true
                  tag_audio_events: true
              english_transcription_with_language_code_and_keyterm_biasing:
                summary: English transcription with language code and keyterm biasing
                value:
                  model: scribe-v2
                  audio_url: https://samplelib.com/lib/preview/mp3/sample-3s.mp3
                  language_code: en
                  keyterms:
                    - project kickoff
                    - quarterly results
                    - speech to text
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    ScribeV2Request:
      type: object
      required:
        - model
        - audio_url
      properties:
        model:
          description: '`scribe-v2`：支持 diarize、音频事件标注与 keyterms 的语音识别模型'
          examples:
            - scribe-v2
          type: string
          default: scribe-v2
        audio_url:
          description: |
            待识别音频文件 URL

            **说明：**
            - 需为 HTTP/HTTPS 可访问地址
            - 音频文件需可被系统直接访问和读取
          type: string
          example: https://samplelib.com/lib/preview/mp3/sample-3s.mp3
        language_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: |
            音频语言代码

            **说明：**
            - 支持 ISO-639-1 或 ISO-639-3 代码
            - 例如：`zh` / `zho` / `en` / `eng`
            - 不传时由模型自动检测
          example: zh
        tag_audio_events:
          default: true
          description: 是否标注笑声、掌声等音频事件。默认开启。
          type: boolean
          example: true
        diarize:
          default: true
          description: 是否进行说话人分离。默认开启。
          type: boolean
          example: true
        keyterms:
          anyOf:
            - items:
                maxLength: 50
                type: string
              maxItems: 100
              type: array
            - type: 'null'
          default: null
          description: |-
            偏置词 / 短语列表

            **说明：**
            - 最多 100 个条目
            - 每个条目最多 50 个字符
            - 用于提升特定术语或专有名词的识别倾向


            > 非必须不要传这个参数。
          x-advanced: true
          example:
            - project kickoff
            - quarterly results
            - speech to text
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: 任务创建时间戳
          example: 1757165031
        id:
          type: string
          description: 任务ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: 实际使用的模型名称
        object:
          type: string
          description: 任务的具体类型
          enum:
            - audio.generation.task
        progress:
          type: integer
          description: 任务进度百分比 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 任务状态
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: 异步任务信息
          properties:
            can_cancel:
              type: boolean
              description: 任务是否可以取消
              example: true
            estimated_time:
              type: integer
              description: 预计完成时间（秒）
              example: 45
        type:
          type: string
          description: 任务的输出类型
          enum:
            - audio
          example: audio
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求格式错误
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: API密钥无效
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 账户余额不足
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 参数校验失败
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 请求频率超限
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务器内部错误
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: 服务暂不可用，请稍后重试
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: 任务创建成功
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: 请求格式错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: 未授权
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: 余额不足
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: 参数校验失败
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: 请求频率超限
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: 服务器内部错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: 服务暂不可用
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## 所有接口均需要使用Bearer Token进行认证 ##

        使用时在请求头中添加：

        `Authorization: Bearer YOUR_API_KEY`

````